function [T,inds] = findT(U)
% Find the selection matrix, T, such that T*U has rank r.

n = size(U,1);
I = eye(n);
rankTU = 0;
r = rank(U);
while rankTU < r
    inds = randperm(n);
    T = I(inds(1:r),:);
    rankTU = rank(T*U);
end